package com.crm.ucard.dao.repository;

import com.crm.rely.backend.core.pojo.table.ucard.CardTypeTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardTypeRepository extends BaseRepository<CardTypeTable> {

    CardTypeTable findByCardTypeId(Integer cardTypeId);

    List<CardTypeTable> getByEnableStatus(Integer enableStatus);

    void deleteByCardCategory(Integer cardCategory);
}
